Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.myfaces.custom.collapsiblepanel
Class HtmlCollapsiblePanelRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.renderkit.html.HtmlRenderer
              org.apache.myfaces.custom.collapsiblepanel.HtmlCollapsiblePanelRenderer

public class HtmlCollapsiblePanelRenderer
extends HtmlRenderer

Version:
  $Revision: 239380 $ $Date: 2005-08-23 05:11:59 -0400 (Tue, 23 Aug 2005) $
Author:
  Kalle Korhonen (latest modification by $Author: mmarinschek $)

Constructor Summary
`HtmlCollapsiblePanelRenderer()`

Method Summary
`void` | `decode(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
`void` | `encodeBegin(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
`void` | `encodeChildren(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
`void` | `encodeEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
`protected javax.faces.component.html.HtmlCommandLink` | `getLink(javax.faces.context.FacesContext facesContext, HtmlCollapsiblePanel collapsiblePanel)`
`boolean` | `getRendersChildren()`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, getConvertedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HtmlCollapsiblePanelRenderer

    public HtmlCollapsiblePanelRenderer()

Method Detail

### getRendersChildren

    public boolean getRendersChildren()

### encodeChildren

    public void encodeChildren(javax.faces.context.FacesContext facesContext,
                               javax.faces.component.UIComponent uiComponent)
                        throws java.io.IOException

  Overrides:
    `encodeChildren` in class `HtmlRenderer`
  Throws:
    `java.io.IOException`

### encodeBegin

    public void encodeBegin(javax.faces.context.FacesContext facesContext,
                            javax.faces.component.UIComponent uiComponent)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext facesContext,
                          javax.faces.component.UIComponent uiComponent)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### decode

    public void decode(javax.faces.context.FacesContext facesContext,
                       javax.faces.component.UIComponent uiComponent)

### getLink

    protected javax.faces.component.html.HtmlCommandLink getLink(javax.faces.context.FacesContext facesContext,
                                                                 HtmlCollapsiblePanel collapsiblePanel)
                                                          throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD